On Tue, 21 Dec 2004 19:25:01 +0100, Sven Neumann <[EMAIL PROTECTED]> wrote:
> RaphaŽl Quinet <[EMAIL PROTECTED]> writes:
> > Would you accept a patch that could make it optional?
> Well, if it really bothers you. But you need gtkdoc anyway if you want
> to build any other library using it and there are lots of them
> (including glib and gtk+).

I haven't tried the new gtk+ 2.6 yet, but IIRC gtk+ 2.4 could be
installed from tarballs without gtkdoc.  On most of the "old" systems on
which I install CVS GIMP for testing, I build gtk+ and its dependencies
from the released tarballs because I only want to test the GIMP itself
and I do not need to have the development version of the various
libraries.  I only try gtk+ from CVS on my development machine.

> > I haven't tried this yet, but it should be possible to modify
> > autogen.sh in such a way that [...]
> No, I wouldn't accept such an ugly hack. If at all you'd modify
> acinclude.m4.

OK, I will try to do it in a clean way.  I will submit a proposed patch
to Bugzilla as soon as I have some time to look at this (probably during
this weekend, after X-mas).  Then you can review it and tell me if I can
commit it.

Gimp-developer mailing list

Reply via email to